Peut-on vrifier automatiquement
la cohrence terminologique?

Elliott Macklovitch

1.	Introduction

   Il arrive souvent dans les services de traduction que l'on soit oblig de morceler les textes 
volumineux, c'est--dire de les diviser et de les rpartir entre plusieurs traducteurs, y compris des 
pigistes qui travaillent  l'extrieur du service. Dans une telle situation, il incombe gnralement 
au rviseur de fusionner les parties traduites par ces diffrentes personnes et de faire en sorte que 
le tout soit cohrent. Le rviseur doit notamment s'assurer de la cohrence ou de l'uniformit 
terminologique, ce qui peut reprsenter une lourde tche. Intuitivement, ce qu'on entend par 
cohrence terminologique est assez clair ici : chaque unit terminologique doit tre traduite de la 
mme faon partout dans le texte, dans le but, par exemple, de supprimer toute ambigut pour le 
lecteur.     

La cohrence terminologique est gnralement l'un des critres qui dfinissent une bonne 
traduction et, bien sr, la situation dcrite ci-dessus n'est pas la seule dans laquelle on doit s'en 
proccuper. Au CITI, nous sommes en train de dvelopper un outil d'aide  l'intention du rviseur 
(qui peut tre le traducteur lui-mme) dont le but est justement de valider certaines proprits d'un 
texte traduit. Pour le moment, ce systme, que l'on a baptis TransCheck, est en mesure de dceler 
certaines des erreurs de traduction les plus courantes, comme les faux amis, les calques, les 
emprunts et certaines improprits. Il est important de noter que la plupart de ces erreurs sont 
gnralement hors de porte des outils de vrification monolingue comme les correcteurs 
d'orthographe ou de grammaire, prcisment parce que les erreurs de traduction sont d'ordre 
bilingue et dpendent des relations qui existent entre deux textes de langues diffrentes. Si 
TransCheck est en mesure de les dceler, par contre, c'est parce qu'il a t conu expressment pour 
traiter ce genre de textes parallles. Plus prcisment, le systme cherche  reconstituer le travail 
du traducteur humain en effectuant ce qu'on appelle un alignement automatique des deux textes - 
une opration qui consiste  rtablir explicitement les liens entre les segments d'un texte en LD et 
les segments correspondants dans sa traduction en LA. Pour une description dtaille du premier 
prototype de TransCheck, voir (Macklovitch 1994); mais voici en gros comment on envisage 
l'emploi d'un tel vrificateur de traductions.     

Avant que TransCheck puisse vrifier une proprit d'une traduction, le texte source et le 
texte cible doivent tre soumis au systme pour que celui-ci en fasse l'alignement. Nous n'allons 
pas dcrire ici les algorithmes dont se sert le programme pour calculer automatiquement les 
correspondances entre les deux textes. Mentionnons seulement que lorsque la rsolution des  
alignements ne va pas au-del de la phrase, le programme est d'une grande prcision; en outre, le 
programme peut traiter les cas o une phrase dans une langue est traduite par deux ou mme trois 
phrases dans l'autre langue, et vice-versa. Suivant la terminologie utilise par (Harris 1988), nous 
appellerons le produit d'un tel programme d'alignement un bi-texte. Supposons maintenant qu'un 
rviseur dsire valider une bauche de traduction avant de la livrer au client, pour s'assurer qu'elle 
soit exempte d'interfrence de la langue source, car c'est l une autre qualit qu'on associe 
gnralement  une bonne traduction. Il pourrait faire appel  TransCheck pour l'aider dans cette 
tche, de la mme faon qu'un rdacteur monolingue utilise un correcteur d'orthographe pour 
s'assurer que ses textes sont exempts de fautes d'orthographe. Le premier prototype du systme 
TransCheck du CITI incorpore une base de donnes d'environ 2 800 paires de mots qui ne doivent 
pas tre pris pour des quivalents, dont un grand nombre des exemples classiques de faux amis 
comme library//librairie et deception//dception. Ce que fait le systme, concrtement, c'est 
de prendre tour  tour les entres de cette base de donnes et, pour chacune, d'examiner le bi-texte 
produit par le programme d'alignement. Si, par exemple, il trouve un segment en langue source 
contenant library qui est align avec un segment en langue cible contenant librairie, il marque 
cette paire aligne pour la soumettre  l'attention du rviseur. Au cours de la sance d'dition qui 
suit, le rviseur examine tous les segments marqus et apporte toutes les corrections ncessaires au 
texte cible, y compris des corrections que le systme propose lui-mme d'aprs l'information de 
chaque entre de la base de donnes. (Une recopie d'cran d'une sance d'dition TransCheck est 
prsente  la page suivante).     

Voil essentiellement comment fonctionne TransCheck pour reprer les cas d'interfrence de 
la langue source dans une bauche de traduction. Nous travaillons sur plusieurs extensions du 
premier prototype de TransCheck qui, nous l'esprons, permettront au systme de dtecter 
automatiquement l'omission d'units importantes du texte et de vrifier la transposition de divers 
types d'expressions numriques. Une autre application importante que nous explorons 
actuellement, c'est la possibilit d'utiliser TransCheck comme outil de vrification de la cohrence 
terminologique d'une bauche de traduction. Nous prsentons, dans ce rapport, les rsultats de ces 
premires expriences sur la terminologie.     

Encore ici, l'ide de base est trs simple et, en fait, trs voisine de l'approche utilise pour 
dtecter les cas d'interfrence de la langue source. Supposons que nous prenions, comme point de 
dpart, la dfinition nave de cohrence terminologique donne plus haut,  savoir que chaque 
occurrence d'un terme dsign du texte source doit tre traduite exactement par le mme terme dans 
la langue cible. Supposons aussi que le rviseur soit en mesure de dresser la liste des quivalences 
 vrifier avant de commencer la rvision de l'bauche de traduction. Il pourrait s'agir en fait d'un 
glossaire propre au texte traduit, dont chaque entre serait un nonc d'quivalence terminologique 
simple - quelque chose comme e-terme1 = f-terme1. Comme prcdemment, un bi-texte serait 
produit  partir du texte source et de l'bauche de traduction. Ensuite, le systme convertirait les 
entres du glossaire d'quivalences terminologiques du rviseur en une srie de requtes 
TransCheck qu'il appliquerait tour  tour au bi-texte. Les segments aligns pour lesquels le systme 
trouverait le terme source du glossaire, MAIS NON le terme cible correspondant,  seraient, comme 
plus haut, marqus en vue d'tre ports  l'attention du rviseur.     

Nous avons dcid, pour tester cette ide, de raliser une tude de faisabilit  petite chelle, 
sans nous faire d'illusion sur ce schma qui nous semblait nettement trop simpliste pour mener  			
un systme oprationnel de vrification terminologique. Mais quelles seraient exactement ses 
faiblesses? Quels problmes seraient soulevs et quelle serait leur importance relative? Lesquels 
de ces problmes pourraient tre rsolus rapidement, et quels autres devraient attendre les rsultats 
d'une longue recherche? Pour nous aider  rpondre  ces questions, cruciales si nous voulons 
rellement mettre au point un vrificateur de cohrence terminologique oprationnel, nous avons 
dcid d'incorporer une version rudimentaire du schma dcrit ci-dessus au prototype actuel de 
TransCheck, et de l'appliquer  plusieurs traductions vritables.

2.	L'tude de faisabilit

2.1  Mthodologie     

Pour notre tude de faisabilit, nous avons essay d'obtenir un certain nombre de textes de 
domaines varis, comportant chacun deux versions de la traduction en langue cible : une version 
prliminaire ou bauche, et une version finale rvise. (Rappelons que nous voulons, grce  
TransCheck, signaler les erreurs possibles dans une bauche de traduction.) Cependant, il s'est 
rvl plus difficile que prvu d'obtenir d'authentiques bauches de traduction, peu importe la 
dfinition qu'on en donne. Quand on leur demande des textes pour mener des expriences sur la 
dtection d'erreurs, les traducteurs et les services de traduction se montrent tout naturellement 
rticents  fournir des produits non finis, mme si on les assure que ces textes serviront uniquement 
 la recherche et que les noms des personnes ne seront pas rvls. Il nous a fallu, par consquent, 
faire certains compromis dans notre mthodologie, notamment en ce qui touche le premier texte 
que nous avons analys.     

Pour chacun des quatre textes sources que nous avons obtenus, nous avons choisi vingt-cinq 
des termes les plus frquents ou les plus vidents, avec l'aide d'un programme-maison d'extraction 
de termes candidats appel F-TERM. F-TERM se fonde sur les ides initialement proposes dans 
(Justeson et Katz 1993). Appliqu  un texte o la catgorie grammaticale de chaque mot a dj 
t assigne automatiquement, il extrait des squences de mots qui correspondent  une dfinition 
syntaxique de terme complexe (ou terme  mots multiples) : en anglais, il s'agit essentiellement 
d'un groupe nominal dpourvu de son dterminant et form d'une chane de noms et/ou d'adjectifs 
se terminant par un nom, laquelle chane peut tre suivie ou non d'un groupe prpositionnel. Encore 
une fois, prcisons que le programme produit une liste de termes candidats, qui sont tris selon 
leur nombre d'occurrences dans le texte. En fait, la plupart de ces termes,  tout le moins au sommet 
de la liste, se rvlent des termes valides. En revanche, on ne retrouve pas dans la liste tous les 
termes d'un texte. D'une part, F-TERM ne relve pas les termes  mot unique, et d'autre part, les 
imperfections de l'tiquetage automatique peuvent entraner l'inclusion de squences qui ne sont 
pas des groupes nominaux bien forms et l'omission de squences qui en sont. De surcrot, F-
TERM n'a aucun critre pour distinguer un groupe  nominal non lexical (ou descriptif) d'un terme 
en bonne et due forme, si ce n'est la rptition littrale de l'expression dans le texte.     

Nous avons repr la traduction de chaque terme source de la liste dans la version finale du 
texte correspondant en langue cible. Lorsque le texte en langue cible contenait des quivalents 
diffrents du mme terme source, nous avons choisi le terme cible le plus frquent, en faisant appel 
de temps  autre  TERMIUM, la banque de donnes linguistiques bien connue du gouvernement 
du Canada, pour nous aider dans notre choix. Ces traductions refltent une partie des dcisions du 
rviseur quant  la terminologie qui convenait au texte, et nous les avons formalises sous forme 
d'noncs d'quivalences terminologiques simples, puis converties en requtes TransCheck, de la 
manire dcrite ci-dessus. TransCheck a alors pu parcourir le bi-texte produit  partir de chaque 
texte source et de son bauche de traduction, et signaler tous les cas dans lesquels un terme source 
n'a pas t rendu exactement par le terme cible indiqu, ou une variante flexionnelle du terme 
cible. Enfin, par une analyse des rsultats du systme, c'est--dire en comparant les incohrences 
signales par TransCheck et la terminologie de la version finale, nous esprions nous faire une 
meilleure ide des principales difficults de cette faon de procder.

2.2  Les textes     

Compte tenu de la difficult que nous avons eue  obtenir des bauches de traduction, nous 
avons dcid d'effectuer notre premier test de vrification de la cohrence terminologique sur un 
manuel des Forces armes de 80 000 mots portant sur la formation et le dploiement des tireurs 
d'lite, pour lequel nous avions l'original anglais et une version franaise finale, mais pas d'bauche 
de traduction. Puisque le texte avait t publi dans les deux langues officielles, nous pouvions 
supposer que la cohrence de la terminologie de la version franaise finale avait dj t vrifie. 
Ces lacunes pouvaient sembler  premire vue des obstacles majeurs; toutefois,  ce stade, nous 
tions plus intresss  relever les types de bruit que TransCheck gnrerait dans sa vrification 
de la cohrence terminologique qu' dcouvrir toute erreur isole que le rviseur de ce texte aurait 
pu oublier.     

La liste des vingt-cinq termes que nous avons choisis pour le texte Tireurs d'lite forme la 
premire colonne du tableau 1, qui se trouve  la fin de ce rapport. La troisime colonne du tableau 
donne le terme cible (TC) qui correspond  chaque terme source dans la version franaise finale. 
La deuxime colonne indique le nombre total d'occurrences de chaque terme source (TS), et la 
quatrime colonne, le nombre de fois que ce terme source n'est PAS traduit exactement par le terme 
cible. Si nous prenons la premire entre du tableau, par exemple, nous voyons que sniper 
apparat au total 1 277 fois dans le texte, et que de ce nombre, 105 occurrences ne sont pas traduites 
par tireur d'lite. Les cinq autres colonnes du tableau 1 prsentent une ventilation des cas o TS 
=//= TC. Tte seulement dsigne les occurrences o un terme cible complexe est tronqu, c'est-
-dire que seulement la tte est utilise plutt que le terme complet; voir des exemples en (1) ci-
dessous. La colonne suivante, Pronom, comprend les cas o le texte franais utilise un pronom 
ou un autre type d'anaphore plutt que le groupe nominal cible complet; voir des exemples en (2) 
ci-dessous. La colonne intitule TS non  traduit dsigne les cas o le terme source n'est pas 
rellement traduit dans le texte cible : ou bien il est entirement omis, ou bien, dans certains cas, 
la traduction contient une priphrase au lieu d'un terme quivalent; voir des exemples de chacune 
de ces possibilits en (3) ci-dessous. La colonne Autre TC dsigne les cas o le texte franais 
utilise un autre terme que celui indiqu dans la troisime colonne. Quelques cas de ce genre, qui 
sont peut-tre de vritables incohrences terminologiques, ont t relevs dans le texte Tireurs 
d'lite, mais ils ne sont pas trs nombreux, ce qui est normal puisqu'il s'agit d'un texte publi; des 
exemples possibles sont donns en (4) ci-dessous. La dernire colonne, Autres vise tous les cas 
qui ne sont pas compris dans les catgories prcdentes. Cela comprend des cas de coordination et 
d'autres constructions grammaticales qui ont pour effet de fragmenter le terme cible (voir des 
exemples en (5) ci-dessous), des cas de bruit du systme attribuables aux problmes d'tiquetage, 
et diverses coquilles, comme des fautes d'orthographe ou de dactylographie, qui sont dtectes par 
TransCheck mais ne constituent pas vraiment des incohrences terminologiques.

 (1a)  ... the sniper moves his head back and forth =>      
	 ... le tireur dplace la tte vers l'avant ou vers...    

(1b)  The Unertl telescopic sight is a fixed 10 power... =>       
	La lunette Unertl grossit 10 fois et...    

(2a)  The sniper places his hand to his chest... =>       
	Il place la main contre sa poitrine...    

(2b)  Snipers will infiltrate enemy areas... =>       
	Ces derniers infiltrent les secteurs de l'ennemi...    

(3a)  IDENTIFYING SNIPER TARGETS =>       
	IDENTIFICATION DES CIBLES    

(3b)  Adjustment for eye relief should be made by... =>          
	L'ajustement de la distance entre l'oeil et la lunette se fait en...    

(4a)  The sniper can insert a pad on the ghillie suit... =>          
	Le tireur d'lite peut insrer un coussin dans sa tenue de camouflage...    

(4b)  ... which is supported from underneath by the top of the trigger... =>          
	... qui est supporte du dessous par la tte du percuteur...

(5a)  direct or indirect fire => tirs direct ou indirect    

(5b)  Determining correct eye relief =>          Dterminer le dgagement correct de l'oeil               

Le deuxime texte examin, que nous avons baptis Lait, porte sur les produits laitiers. Il 
s'agit d'une analyse conomique du ministre de l'Agriculture sur la comptitivit de l'industrie 
canadienne du lait et des produits laitiers. La traduction avait t confie en sous-traitance  un 
cabinet, mais avant d'tre retourn au ministre client, le texte a fait l'objet d'une rvision sommaire 
appele assurance de la qualit, faite par une traductrice principale du Bureau de la traduction du 
gouvernement. Bien que le cabinet n'ait pas prcis combien de traducteurs avaient particip  ce 
travail, tout porte  croire qu'au moins deux personnes taient intervenues : il y avait un 
changement de police de caractres au milieu du fichier livr par le cabinet, lequel concidait avec 
un changement de la terminologie du texte cible pour plusieurs termes sources. L'une des  
proccupations du rviseur du gouvernement, par consquent, tait de s'assurer de la cohrence de 
la terminologie du dbut  la fin de la version franaise finale. Le tableau 2,  la fin de cet article, 
indique les vingt-cinq termes sources que nous avons choisis pour ce texte, leurs quivalents en 
langue cible et la ventilation de tous les cas de non-correspondance.     

Le troisime texte, que nous appelons PPCI, fait partie d'un guide du ministre des Affaires 
extrieures dcrivant les politiques et pratiques du ministre pour l'organisation de promotions 
commerciales dans le cadre du Programme de promotion du commerce international (PPCI) du 
gouvernement. L'original anglais, comprenant environ 16 000 mots, se divise en deux parties 
distinctes : une description bien structure, en style administratif, du programme et de son 
application, puis une srie d'annexes disparates regroupant des formulaires du gouvernement, des 
questionnaires  choix multiples, des contrats types, etc. Dans ce cas, nous savions que les deux 
parties avaient t attribues  des traducteurs diffrents du Bureau de la traduction du 
gouvernement. Les termes sources choisis pour ce texte, ainsi que leurs quivalents en langue 
cible, figurent au tableau 3.     

Le dernier texte analys, que nous appelons Grappes, ne comptait que 4 235 mots, mais 
avait quand mme t attribu  deux traducteurs en raison du dlai trs court dont on disposait. Il 
s'agissait d'un appel de propositions du ministre de l'Industrie, des Sciences et de la Technologie 
relatif  un type particulier d'tude conomique devant tre ralis dans l'Ouest canadien et faisant 
appel au concept d'analyse des grappes. Les parties de l'appel de propositions dcrivant le travail 
 accomplir (produits  livrer, dates, critres de slection, etc.) sont destines au grand public et ne 
sont pas trs techniques; en revanche, le texte prsente de l'information de rfrence sur l'analyse 
des grappes et porte donc indirectement sur un domaine relativement spcialis des sciences 
conomiques. Le tableau 4 prsente les termes sources que nous avons retenus dans le texte 
Grappes, ainsi que leurs quivalents en langue cible et la ventilation des non-correspondances.    

Avant de passer  l'analyse dtaille des rsultats produits par TransCheck pour ces quatre 
textes, il y a une importante question de dfinition que nous aimerions soulever concernant 
l'utilisation du mot terme. Au moment d'amorcer cette tude, nous avons suppos que les units 
qu'un rviseur voudrait vrifier dans une bauche de traduction seraient les termes en bonne et due 
forme, au sens technique de l'expression, c'est--dire les lments d'un vocabulaire spcialis 
dcrivant les concepts et relations fondamentaux d'un domaine spcialis. Cette hypothse, 
cependant, n'tait pas tout  fait justifie. En effet, l'une des choses que nous avons dcouvertes 
dans nos consultations avec le rviseur ayant effectu l'assurance de la qualit de trois de nos 
textes, c'est que la distinction terme/non-terme n'est pas critique dans le travail de vrification de 
la cohrence d'une traduction. Certes, une grande partie des units dont le rviseur avait tenu  
vrifier la cohrence dans ces bauches de traduction taient des termes (avec fiches TERMIUM), 
mais certaines ne l'taient pas et, dans d'autres cas, il tait difficile de dterminer si l'on avait affaire 
 un terme ou non. En fait, la distinction entre termes spcialiss et mots du vocabulaire gnral 
dans un texte donn n'est pas toujours vidente, mme pour un terminologue. Le lecteur devrait 
garder  ce fait  l'esprit en examinant les listes de termes sources des tableaux 1  4, car certains de 
ces termes - les acronymes, par exemples, qui abondent dans le texte PPCI - peuvent,  premire 
vue, ne pas sembler des termes. Nous ne prtendons pas que les 100 units que nous avons choisies 
pour notre tude de faisabilit constituent effectivement des termes au sens propre du mot. De 
mme que Martin Kay a dfini la traduction comme tant ce que les traducteurs font, nous voulons 
que TransCheck soit un outil d'aide pour les rviseurs dans ce qu'ils font. En ce qui touche la 
vrification de la cohrence terminologique, le rviseur nous a signal que l'objectif primordial 
tait d'viter la confusion chez le lecteur. Que les units devant tre rendues uniformment pour 
atteindre cet objectif soient des termes en bonne et due forme ou non, c'est une question plus ou 
moins accessoire. En l'absence d'une solution de rechange commode, toutefois, nous continuerons 
d'utiliser le mot terme dans cet article, mais en nous affranchissant, si possible, de sa dfinition 
technique.     

3.	Rsultats         

Le tableau 5  la page suivante prsente une synthse des rsultats fournis sparment aux 
tableaux 1  4. Les chiffres de ce tableau sommaire correspondent aux totaux des colonnes des 
tableaux 1  4, qui rsultent de l'analyse des vingt-cinq paires de termes choisies dans chacun des 
textes (Tireurs d'lite, Lait, PPCI et Grappes).     

Examinons, pour commencer, les chiffres de la troisime colonne du tableau 5, qui donnent 
les taux globaux de non-correspondance pour chaque texte, c'est--dire la proportion des 
occurrences de termes sources non traduites exactement par les termes cibles  figurant dans les 
glossaires d'quivalences des textes. Notons que le taux de non-correspondance du texte Tireurs 
d'lite,  8,5 %, est sensiblement moins lev que ceux des trois autres textes. Rappelons, toutefois, 
que la version franaise du texte Tireurs d'lite soumise  TransCheck tait une version publie qui, 
peut-on supposer, avait t vrifie sous l'angle de la cohrence terminologique; dans le cas des 
trois autres textes, en revanche, la version soumise  Transcheck tait une traduction prliminaire. 
Par consquent, cette disparit des taux de non-correspondance n'est pas vraiment une anomalie; 
en fait, si notre hypothse sur la faon dont les textes ont t traduits est exacte, c'est un rsultat qui 
apparat normal. Notons, par ailleurs, que les taux de non-correspondance des trois autres textes 
sont relativement voisins : 30 % pour les textes Lait et Grappes, et 24 % pour le texte PPCI. 

Le tableau 5 rvle une autre diffrence importante entre les rsultats obtenus pour le texte 
Tireurs d'lite et ceux obtenus pour les trois autres traductions : le nombre de cas o un terme cible 
est remplac par un pronom ou un autre type d'anaphore est beaucoup plus lev dans le texte 
Tireurs d'lite (35 occurrences sous Pronom contre 11 au total pour les trois autres textes); il en 
est de mme, bien qu' un moindre degr, pour le nombre d'occurrences sous Tte seulement, 
c'est--dire de cas o le terme cible est tronqu (29 % de non-correspondances dans Tireurs d'lite, 
comparativement  19 %, 18 % et 0 % pour les textes Lait, PPCI et Grappes respectivement). 
Pourquoi il en est ainsi n'est pas vident. C'est peut-tre que le terme sniper est si frquent dans 
le premier texte que le recours  ce genre d'anaphore vite la rptition encombrante de tireur 
d'lite et permet d'allger et de diversifier le style du texte cible. L'explication tient peut-tre 
encore plus  la ralit extra-linguistique : il n'y a qu'un seul rfrent possible pour sniper dans 
ce texte (le stagiaire type  qui s'adresse ce manuel), tandis que les entits auxquelles renvoient les 
termes tronqus dans les autres textes sont peut-tre moins videntes.  

                            Tableau 5 : Synthse des rsultats pour les quatre textes:

         Si nous passons maintenant aux autres catgories du tableau 5, nous remarquons que la 
proportion de non-correspondances attribuables  l'emploi d'autres termes (Autre TC) est beaucoup 
plus leve dans les textes PPCI et Grappes que dans les textes Tireurs d'lite et Lait. Il se trouve 
que les textes PPCI et Grappes sont les moins techniques des quatre textes que nous avons 
analyss; c'est du moins l'impression distincte qui ressort d'un survol de ces textes sources. En fait, 
nous pouvons peut-tre confirmer cette impression au moyen des donnes produites par notre 
programme F-TERM. Rappelons que F-TERM repre les squences de mots qui correspondent  
une dfinition syntaxique de terme complexe.  l'instar de (Justeson et Katz 1993), nous 
supposerons pour les fins de cet argument que la plupart des squences complexes qui se rptent 
intgralement au moins deux fois dans un texte sont en fait des units terminologiques. Dans le 
texte Grappes, par exemple, F-TERM dtecte 377 termes candidats complexes, dont seulement 
49 se rptent plus d'une fois dans le texte. Le nombre total d'occurrences correspondant  ces 
49 termes candidats est de 125; si nous ajoutons les 43 occurrences du terme simple cluster, qui, 
comme le mot sniper, est le terme le plus frquent du texte, nous obtenons un total de 168 
occurrences de termes dans un texte de 4 235 mots. En divisant le nombre total de mots du texte 
par le nombre d'occurrences de termes candidats, nous devrions obtenir un corrlat trs 
approximatif de la densit terminologique : dans le cas du texte Grappes, on obtient 25,21 mots par 
terme. En  comparaison, le mme calcul appliqu au texte Lait, qui est peut-tre le plus technique 
des textes analyss, donne un ratio beaucoup moins lev de mots par terme : 9,42. Le ratio du texte 
Tireurs d'lite est de 19,14, et celui du texte PPCI, qui est encore moins technique que Grappes, de 
32,60. Certes, comme nous le disions plus haut  la section 2, les rsultats produits par F-TERM 
ne sont pas entirement fiables, mais la seule hypothse  faire ici, c'est que F-TERM est constant 
dans ses faiblesses d'un texte  l'autre. Ces chiffres sont alors sans signification en valeur absolue, 
mais peuvent reflter la densit terminologique relative des quatre textes que nous avons analyss. 
Or, la densit terminologique est srement un lment qui contribue  la perception de technicit 
d'un texte, de sorte que nous pourrions tre tents de postuler une corrlation inverse entre elle et 
la tendance  permettre une plus grande variabilit terminologique dans un texte. Toutefois, la 
densit terminologique globale n'est certainement pas le facteur crucial qui dtermine dans quels 
cas un rviseur dcidera qu'un terme cible substitut est acceptable dans le contexte d'une traduction 
donne. Notre analyse semble indiquer que les termes les plus susceptibles d'tre traduits par de 
tels substituts sont les termes gnraux et non techniques, dont le rfrent sera normalement 
vident pour tous les lecteurs. Par exemple, la province est un substitut acceptable de 
gouvernement provincial dans la plupart des contextes et, en fait, a t accept par le rviseur 
dans le texte PPCI. Encore une fois, s'il n'y a aucun risque d'ambigut pour le lecteur, ce genre de 
variante peut contribuer  rendre le texte cible plus lisible. Ailleurs dans l'bauche de traduction du 
texte PPCI, toutefois, les termes project manager et reporting officer sont tous deux rendus, 
dans certains cas, par agent responsable; ici, le rviseur a jug bon de corriger l'quivalent 
substitut et de maintenir trois termes distincts, car ces diverses fonctions pourraient bien tre 
assumes par des personnes diffrentes.     

Un autre rsultat  signaler, dans le tableau 5, est la forte proportion de cas, dans le texte Lait, 
o le terme source n'est pas traduit, mais plutt omis ou remplac par une priphrase dans le texte 
cible : dans ce texte, la catgorie TS non traduit reprsente 52 % des non-correspondances. En 
analysant les segments signals par TransCheck dans l'bauche de traduction et en les comparant 
 la version franaise finale, nous avons relev plusieurs omissions flagrantes. Un exemple est 
donn en (6) ci- dessous (la flche simple indique la traduction prliminaire et la flche double, la 
traduction finale).

 (6)   ...Canadian consumption of milk fat and milk proteins... is relatively similar to that of  
the U.S. ... 
 -> ... la consommation canadienne est comparable  celle  de...          
=> ... la consommation individuelle canadienne de matire grasse et de protines du 
lait est comparable  celle...                   

Dans de nombreux autres cas, cependant, le problme n'est pas tant attribuable  une 
omission du traducteur qu' la verbosit du texte source. La version anglaise du texte Lait se 
distingue par une surabondance de longs composs nominaux pour lesquels, dans bien des cas, les 
lments qui prcdent la  tte sont superflus ou encore peuvent tre dduits facilement du 
contexte, et ne sont donc pas essentiels  la comprhension de l'expression. Il se peut, dans de tels 
cas, que le traducteur dcide d'omettre une partie du syntagme nominal complexe, afin de produire 
un texte cible  la fois plus allg et plus clair. Un exemple simple est donn en (7) ci-dessous. Le 
terme cible pour industrial milk est lait de transformation, qui est dfini comme du lait cru qui 
sera transform en fromage, en yogourt, etc.; l'inclusion de l'adjectif raw est donc superflue dans 
(7). TransCheck, videmment, n'a aucun moyen de le savoir, et ds qu'il trouve une occurrence de 
raw milk non rendue par lait cru, il signale une incohrence terminologique possible -  tort, 
dans ce cas.

 (7)    ... for increased shares of industrial raw milk supplies =>          
	... accrotre leur part du march de l'approvisionnement en lait de transformation...

    Cet exemple soulve une importante question : comment savoir lesquelles des non-
correspondances signales par TransCheck dans les traductions prliminaires reprsentent de 
relles incohrences terminologiques, et lesquelles correspondent  de faux positifs 
attribuables  une dficience de notre approche? Au dpart, nous esprions pouvoir rpondre  cette 
question en faisant la comparaison entre les segments signals et la terminologie des traductions 
finales; toutefois, comme nous l'avons dj indiqu, les traductions prliminaires n'ont pas fait 
l'objet d'une rvision systmatique, mais seulement d'un processus d'assurance de la qualit visant 
 corriger les erreurs les plus flagrantes. La personne ayant effectu l'assurance de la qualit a t 
trs franche  ce sujet : elle a admis que les traductions finales pouvaient encore contenir certaines 
incohrences; malheureusement, elle n'avait dispos ni du temps ni des outils pour faire un travail 
plus complet.     

Nanmoins, il y a des conclusions que nous pouvons tirer sur le rendement de TransCheck  
partir de nos analyses dtailles de ces traductions, dont les rsultats figurent au tableau 5. Par 
exemple, il est manifeste que la quasi-totalit des non-correspondances des catgories Tte 
seulement et Pronom sont attribuables  de faux positifs, c'est--dire  un bruit du systme. 
Pratiquement aucune d'elles n'a t corrige dans les versions franaises finales. Ensemble, ces 
deux catgories regroupent prs de 30 % de tous les segments signals par TransCheck, et, si l'on 
ajoute les cas de termes coordonns classs dans la catgorie Autres, nous pouvons sans crainte 
affirmer que ces non-correspondances comptent pour environ un cas sur trois. Par contre, une 
proportion beaucoup plus grande des non-correspondances des catgories Autre TC et TS non 
traduit ont effectivement t corriges par le rviseur, sans doute parce qu'elles refltaient de 
vritables incohrences terminologiques. Ces deux dernires catgories reprsentent globalement 
entre 63 % et 73 % de toutes les erreurs potentielles signales, soit environ deux cas sur trois. 
Notons par ailleurs qu'il existe une diffrence assez fondamentale entre les non-correspondances 
de ces deux regroupements des catgories de notre taxonomie. Les non-correspondances du 
premier groupe proviennent toutes de l'emploi de variantes de la forme du terme dsign : 
simplification d'un terme complexe pour n'en garder que la tte, combinaison avec un autre terme 
dans une coordination et, cas moins vident, remplacement par un pronom ou un autre type 
d'anaphore. Par contre, les incohrences possibles signales par le systme en raison de l'omission 
du terme, ou de son remplacement par une priphrase ou un autre terme, ne concernent pas 
seulement la forme superficielle du terme; elles sont lies  sa redondance dans le texte, ou  la 
synonymie du terme avec une priphrase ou un substitut propos - des facteurs qui touchent 
davantage le sens du terme. Nous allons revenir sur cette distinction dans la conclusion qui suit.

4.	Conclusion          

Dans (Bdard 1986, notamment au chapitre 2), l'auteur critique ce qu'il appelle l'obsession 
des quivalents, c'est--dire la tendance  reproduire mcaniquement dans le texte cible les 
quivalents de tous les termes trouvs dans le texte source. Il en rsulte invariablement, affirme 
l'auteur, des traductions de qualit infrieure. Le traducteur n'est pas li par le mot--mot du texte 
source, mais par le sens du texte, et pour rendre ce dernier convenablement, il ne doit pas hsiter  
se servir de son jugement professionnel. Pour ce qui est de la terminologie technique, le traducteur 
ne doit pas se sentir oblig d'utiliser les quivalences directes ou toutes faites. Afin de produire 
un texte comprhensible et transparent dans la langue cible, il doit parfois modifier ou abrger 
certains termes, omettre d'autres termes qui figurent dans le texte source, et mme crer de 
nouveaux termes.

 Une ralit donne peut souvent tre dcrite de plus d'une faon, et le discours technique  
n'chappe pas  cette vrit gnrale. Les termes employs par le locuteur, si techniques          
et si justes qu'ils soient, ne sont pas ncessairement les seuls dont il aurait pu se servir. 
Corrolaire : dans la mme mesure, le traducteur n'est pas condamn  utiliser les 
quivalents directs pour faire passer le message. (Bdard 1986, p.31)         

Les arguments de Bdard semblent aller directement  l'encontre de l'approche automatise 
que nous prsentons ici pour la vrification de la cohrence terminologique. En effet, notre 
application de TransCheck se fonde sur une transposition littrale des termes du texte source dans 
le texte cible - du moins pour les termes indiqus par le rviseur dans le glossaire d'quivalences 
terminologiques. Il importe de rappeler, toutefois, que Transcheck est un outil d'aide  la 
traduction, non un systme de traduction automatique; il n'a pas pour fonction d'imposer des 
termes au rviseur, mais seulement de l'aider  valider une traduction prliminaire. C'est le rviseur, 
et non le systme, qui a le dernier mot. C'est au rviseur de dcider s'il doit intervenir ou non pour 
chaque incohrence terminologique possible signale par le systme et, le cas chant, quelle 
correction apporter. En revanche, l'approche vise par cette application de TransCheck suppose 
que, pour certains types de textes du moins, un degr lev d'uniformit terminologique est 
souhaitable. Si ce n'tait pas le cas, c'est--dire si les utilisateurs passaient outre systmatiquement 
aux erreurs possibles signales par TransCheck, ils auraient tt fait d'abandonner le systme.    

 Dans notre examen des rsultats  la section prcdente, nous avons vu que pour les 100 
termes choisis dans les quatre textes analyss, TransCheck a produit un taux de non-
correspondance global se situant entre 16 % et 28 % (selon qu'on inclut ou non dans le calcul le 
texte Tireurs d'lite). Nous avons galement observ que, bien que notre mthodologie ne nous ait  
pas permis d'tablir prcisment dans quelle proportion ces non-correspondances taient de relles 
incohrences, environ le tiers des segments signals par le systme pouvaient tre considrs 
comme de faux positifs attribuables  l'incapacit de TransCheck de reconnatre certaines variantes 
formelles des termes cibles.  cela s'ajoute un nombre indtermin d'omissions ou de termes 
substituts que le rviseur peut dcider, pour diverses raisons, de laisser tels quels. En bref, si ce 
prototype de TransCheck tait mis  la disposition des utilisateurs dans sa forme actuelle, dans au 
moins un cas sur trois le systme demanderait  l'utilisateur de vrifier des incohrences possibles 
qui, en ralit, n'exigeraient pas d'intervention. Est-ce un niveau de bruit que les utilisateurs sont 
prts  tolrer? C'est difficile  dire; cela dpendrait du temps que le systme permettrait de gagner 
par rapport aux autres erreurs signales et des erreurs gnantes qu'il permettrait d'viter. Mais une 
chose est sre : la vrification terminologique automatise serait accepte beaucoup plus 
facilement si nous trouvions le moyen de rduire l'incidence du bruit actuellement engendr par le 
systme. Cela pourrait bien tre possible, notamment dans les cas attribuables  des variantes de la 
forme superficielle d'un terme. La tche  accomplir, ici, est trs claire : les conditions exigeant une 
identit formelle complte dans la dfinition de cohrence terminologique dans TransCheck 
doivent tre assouplies, afin que le systme puisse reconnatre au moins certaines de ces variantes 
formelles comme des reprsentations valides du terme cible complet. Dans quelle mesure nous 
parviendrons  le faire sans que nous chappe aucune des incohrences terminologiques relles 
prsentement dtectes par le systme, cela reste  voir. Mais il serait beaucoup plus difficile de 
concevoir et de rendre oprationnelles des stratgies permettant au systme de distinguer entre les 
cas acceptables et inacceptables de termes cibles qui ont t omis, ou encore remplacs par un autre 
terme ou une priphrase. En fait, on pourrait se demander s'il n'est pas un peu abusif, dans ce cas, 
de dcrire les cas acceptables comme des cas de cohrence terminologique. Quoi qu'il en soit, nous 
croyons qu'il est prfrable de laisser ces cas au jugement du rviseur, afin qu'il puisse les examiner 
tour  tour et prendre les dcisions pertinentes.     

L'objectif vis par cette tude tait de dterminer si oui ou non il est possible de vrifier la 
cohrence terminologique d'bauches de traduction au moyen d'un outil comme TransCheck, en 
utilisant essentiellement la mme approche que celle employe par le systme pour dtecter les 
problmes d'interfrence de la langue source. Nous tions conscients, bien sr, qu'en appliquant 
notre dfinition nave d'incohrence terminologique  des textes rels, nous relverions  coup sr 
des cas o la forme du terme cible, sans correspondre exactement  celle donne dans le glossaire 
des quivalences, serait nanmoins acceptable. Certains travaux rcents sur l'extraction 
automatique de termes dcrivent de faon dtaille les diverses variantes d'un terme susceptibles 
d'tre observes; voir en particulier (Daille 1994). Le but n'tait pas de vrifier s'il existe de telles 
variantes, mais plutt quelles formes elles prennent dans de vritables traductions, et avec quelle 
frquence. Cette tude, nous l'esprons, a fourni un dbut de rponse  cette question, et nous 
permet de reprer un sous-ensemble de problmes se prtant  des solutions  court terme.     

Notre faon d'aborder la vrification de la cohrence terminologique comporte (au moins) 
deux faiblesses qui n'ont pas encore t mentionnes. La premire a trait  la directionalit 
implicite de l'algorithme, c'est--dire le fait que TransCheck effectue sa recherche d'une paire de 
termes donns en reprant d'abord une occurrence du terme source, puis en vrifiant le segment 
cible align pour y dtecter la prsence du terme cible. Mais, bien sr, les termes sources peuvent 
aussi subir les mmes variations de forme que les termes cibles : eux aussi sont l'objet d'ellipses, 
d'omissions, de pronominalisations, d'erreurs d'orthographe, etc. Dans chacun de ces cas, tant 
donn la stratgie de recherche d'quivalences exactes de TransCheck, le systme passera outre au 
segment align sans s'occuper de vrifier le terme cible, rduisant ainsi le champ de couverture. Il 
y a une solution  laquelle on pense tout de suite pour rsoudre ce problme : il s'agirait de convertir 
les entres du glossaire des quivalences en requtes bidirectionnelles, c'est--dire que pour chaque 
nonc e-terme1 = f-terme1, le systme scruterait le bi-texte pour y trouver toute paire aligne 
dans laquelle le f-terme apparat sans le e-terme correspondant. Cette stratgie, toutefois, 
prsente un certain nombre de difficults. L'une d'elle tient au fait que les traductions sont souvent 
plus explicites que les textes sources. Nous avons mentionn  la note 8, par exemple, que le terme 
tireur d'lite apparat plus souvent dans le texte cible que sniper dans le texte source. On peut 
penser, par consquent, que les requtes inverses produiraient un niveau de bruit encore plus lev 
que les requtes initiales. Autre difficult, plus fondamentale celle-l : il se peut que ces requtes 
inverses ne correspondent pas aux quivalences terminologiques que le rviseur souhaitait vrifier. 
En stipulant qu'un e-terme1 donn doit tre traduit par f-terme1, le rviseur ne voulait peut-
tre pas exclure la possibilit que d'autres termes sources aient aussi f-terme1 comme quivalent 
en langue cible. Or, la requte f-terme1 MAIS NON e-terme1 entranerait le marquage non dsir 
de telles quivalences.     

Un autre problme gnral que pose notre approche de vrification terminologique, c'est qu'il 
oblige le rviseur  fournir au systme un nonc explicite de toutes les quivalences 
terminologiques  vrifier. Sans aucun doute, il surviendra des cas o le rviseur n'aura pas le temps 
de le faire, mais souhaitera quand mme faire valider la cohrence terminologique de la traduction 
avant de l'envoyer au client. Ce genre de vrification est possible pour les erreurs d'interfrence de 
la langue source, car TransCheck incorpore une base prexistante d'quivalents interdits connus. 
On pourrait peut-tre procder de la mme faon pour la vrification de la cohrence 
terminologique, quand le texte  valider appartient manifestement  un domaine prcis pour lequel 
un glossaire terminologique fiable existe dj.     

Une autre possibilit intressante a rcemment t souleve dans (Dagan et Church 1994). 
Leur systme Termight extrait des termes candidats d'un texte source (comme notre programme F-
TERM), puis repre automatiquement un quivalent probable dans la traduction, grce  un 
programme d'alignement de mots qu'ils ont mis au point. Termight pourrait tre adapt  la 
vrification de la cohrence terminologique, suggrent les auteurs, si on lui confiait la tche 
d'attirer l'attention de l'utilisateur sur les paires de termes correspondant aux cas o il existe plus 
d'un quivalent pour un mme terme source. Notons que ces non-correspondances incluraient 
toutes les variantes formelles qui amnent actuellement TransCheck  signaler de faux positifs. En 
outre, l'utilisateur ne voudrait pas que le systme omette de signaler les cas o toutes les 
occurrences d'un terme  source ont t systmatiquement traduites par un quivalent identique, 
mais inexact; nous avons, en fait, observ plusieurs cas de ce genre dans le texte PPCI. Bien que 
l'intervention du rviseur pour tablir le glossaire d'quivalences terminologiques comporte des 
inconvnients, elle assure non seulement la cohrence de la terminologie vrifie, mais aussi son 
exactitude.



REMERCIEMENTS         

Plusieurs collgues du groupe de traduction assiste par ordinateur du CITI m'ont apport leur 
soutien, aussi bien technique que linguistique, tout au long de la ralisation de cette tude : Pierre 
Isabelle, directeur du groupe, Michel Simard, Marie-Louise Hannan, Franois Perrault et Jean-
Marc Jutras. J'ai beaucoup apprci leur aide, et aucun d'eux, videmment, n'est responsable de 
toute erreur de fait ou de jugement que pourrait contenir ce rapport. Je tiens aussi  remercier 
spcialement le rviseur anonyme qui m'a aid  obtenir les traductions analyses et qui a pris le 
temps, avec beaucoup de patience, de rpondre  mes nombreuses questions.



RFRENCES 

AHMAD, Khurshid et al. (1994), What is a term? The semi-automatic extraction of terms from 
text, M. Snell-Horby et F. Pochhacker (dir.), Translation Studies: An Interdiscipline, Selected 
Proceedings of the Vienna Conference, pp.9-12.

BDARD, Claude (1986), La traduction technique : principes et pratque, Montral, Linguatech.

DAILLE, Batrice (1994), Approche Mixte pour l'extraction de terminologie : statistique lexicale 
et filtres linguistique, Thse de doctorat en informatique fondamentale, Universit Paris VII.

DAGAN, Ido et Ken CHURCH (1994), Termight: Identifying and Translating Technical 
Terminology, in Proceedings of EACL.

HANNAN, Marie-Louise (1995), The Use of Semantic Classes for Automatic Terminology 
Extraction, Mmoire de matrise en linguistique, Universit de Montral.

HARRIS, Brian (1988), Bi-text: A New Concept in Translation Theory, dans Language 
Monthly, no 54.

ISABELLE, Pierre et al.(1993), Translation Analysis and Translation Automation, dans les 
Actes de la Fifth International Conference on Theoretical and Methodological Issues in 
Machine Translation (TMI-93), Kyoto, pp.201-217.

JUSTESON, John et Slava KATZ (1993), Technical Terminology: some linguistic properties and 
an algorithm for identification in text, Technical Report #RC 18906 (82591), IBM T.J. 
Watson Research Center, Yorktown Heights, New York, 13 p.

MACKLOVITCH, Elliott (1994), Using Bi-textual Alignment for Translation Validation: the 
TransCheck System, dans les Actes de la First Conference of the Association for Machine 
Translation in the Americas (AMTA-94), Columbia, Maryland, pp. 157-168.

SIMARD, Michel, G. FOSTER et P. ISABELLE (1992), Using Cognates to Align Sentences in 
Parallel Corpora, dans les Actes de la Fourth International Conference on Theoretical and 
Methodological Issues in Machine Translation (TMI-92), Montral, pp.67-81. 

TransCheck : une recopie d'cran
