Raccentuation automatique 
de textes franais

Michel Simard

simard@citi.doc.ca

Industrie Canada
Centre d'Innovation en Technologies de l'Information
1575 Chomedey
Laval (Qubec)
CANADA H7V 2X2

1	Introduction

Les travaux prsents ici s'inscrivent dans le cadre du projet Robustesse, men par l'quipe de 
traduction assiste par ordinateur (TAO) du CITI. Ce projet vise  laborer des mthodes et des 
outils de traitement des langues naturelles robustes : plusieurs systmes de TALN vont soit refuser 
de traiter des textes comportant des erreurs ou des phnomnes trangers  leur propre ensemble 
de connaissances, soit afficher un comportement imprvisible dans ces circonstances.  l'oppos, 
un systme robuste se comportera alors de faon prvisible et utile.

Les textes franais sans accents (marques diacritiques) constituent un exemple typique et 
particulirement rpandu des problmes auxquels font face les systmes de TALN. C'est dans le 
contexte du courrier lectronique (e-mail) qu'on rencontre le plus souvent ce phnomne, qui 
s'explique de deux faons. Premirement, le monde de l'informatique a longtemps souffert de 
l'absence d'une norme suffisamment rpandue pour l'encodage des caractres accentus, ce qui 
a entran toute une panoplie de problmes de transfert et de traitement des texte franais. Il n'est 
d'ailleurs pas rare qu'un des maillons logiciels dans la chane de distribution du courrier 
lectronique "dsaccentue" dlibrment les caractres accentus, afin de prvenir d'ventuels 
problmes. Deuximement, la saisie au clavier des caractres accentus demeure, encore  ce 
jour, un exercice ardu, voire acrobatique dans certains cas : ici, il s'agit  la fois d'une question de 
norme et d'une question d'ergonomie. Le rsultat concret, c'est qu'un trs grand nombre 
d'utilisateurs francophones vite systmatiquement d'utiliser les caractres accentus, tout du 
moins pour le courrier lectronique.

Si cette situation demeure tolrable en pratique, c'est parce qu'il est extrmement rare que la 
disparition des accents rende un texte franais incomprhensible pour un humain. D'un point de 
vue linguistique, l'absence d'accents en franais ne fait qu'augmenter le degr relatif d'ambigut 
inhrent  la langue.  la limite, elle ralentit la lecture et suscite un certain inconfort, comme peut 
le faire, par exemple, la lecture d'un texte rdig entirement en majuscules.

Il n'en demeure pas moins que si le franais sans accent est acceptable dans certaines 
circonstances, il ne l'est pas dans l'usage courant, notamment dans le cas des documents 
imprims. Par ailleurs, l'absence des accents pose de srieux problmes pour le traitement 
automatique des textes. Qu'il s'agisse de recherche documentaire, de correction orthographique, 
grammaticale, stylistique, de traduction automatique, d'interface en langue en naturelle ou de 
quelqu'autre forme de traitement de la langue, on s'attendra en gnral  ce que les textes franais 
comportent des accents. D'o l'intrt pour des mthodes de rcupration automatique des 
accents, ou de raccentuation automatique.

En examinant le problme, on constate que la grande majorit des mots d'un texte franais 
s'crivent naturellement sans accents (envrion 85%), et que pour plus de la moiti des mots qui 
restent, la forme accentue correcte peut tre dduite de faon dterministe  partir de la forme 
sans accent. Il en dcoule que la simple utilisation d'un bon dictionnaire permet de raccentuer 
automatiquement un texte sans accent avec un taux de succs de prs de 95% (c'est--dire qu'on 
commettra une erreur d'accent  peu prs  tous les vingt mots).

Tout porte  croire qu'on peut atteindre des rsultats de beaucoup suprieurs grce  l'utilisation 
de modles de langue plus ou moins sophistiqus, qui seront en mesure de lever les ambiguts 
rsultant de l'absence d'accents, en se basant sur des considrations d'ordre linguistique. En 
particulier, il semble que les modles de langue dits probabilistes soient particulirement bien 
adapts pour ce genre de tche, parce qu'ils fournissent un critre de dsambigusation quantitatif : 
lorsqu'on rencontre une forme sans accent  laquelle peuvent correspondre plusieurs formes 
valides (portant ou non des accents), on choisit la plus probable, en se basant sur le contexte 
immdiat et sur un ensemble d'vnements observs antrieurement (le "corpus d'entranement").

Notons que cette ide n'est pas entirement originale : El-Bze et al. exposent dans [3] une 
technique de raccentuation qui s'inspire des mmes concepts, alors que Yarowsky obtient des 
rsultats comparables dans [6], en combinant diffrents critres de dsambigusation statistiques 
dans un cadre unificateur (les listes de dcision).

2	Raccentuation automatique

Nous avons mis au point un programme de raccentuation automatique, que nous appelons 
Reacc, bas sur un modle de langue stochastique. Reacc accepte en entre une chane de 
caractres reprsentant un texte franais sans accent. Si la chane d'entre contient des accents, 
on peut bien sr la dsaccentuer : comme  tout caractre accentu ne correspond qu'un seul 
caractre sans accent, ce processus est entirement dterministe. Une autre possibilit est de 
conserver les accents, en prenant pour acquis qu'ils sont corrects. Dans un cas comme dans 
l'autre, la sortie attendue de Reacc est une chane de caractres qui ne diffre de la chane d'entre 
que par les accents : on s'attend  recevoir en sortie le mme texte franais, mais correctement 
accentu.

Reacc procde donc en trois tapes successives : segmentation, gnration d'hypothses et 
dsambigusation.

L'unit sur laquelle opre Reacc est le mot. L'exercice de segmentation consiste donc  prendre la 
chane d'entre et  y localiser les frontires entre les mots, incluant les signes de ponctuation, de 
mme que les nombres et autres expressions combinant chiffres et lettres. La segmentation repose 
sur un ensemble de rgles dcrivant des connaissances gnrales sur la structure des textes 
lectroniques. Trs peu de ces connaissances sont spcifiques au franais. On retrouve quand 
mme une liste d'abrviations et acronymes courants, qui sert  dterminer si un point accol  une 
suite de caractres alphabtiques appartient  ce mot, ou agit comme point final. On utilise aussi 
une liste des constructions les plus frquentes impliquant le tiret et l'apostrophe en franais, afin de 
dterminer s'ils agissent ou non comme frontire de mots : l'cole versus aujourd'hui, passe-
montagne versus pensez-vous.

L'tape suivante, la gnration d'hypothses, consiste  produire, pour chaque mot identifi lors de 
la segmentation, la liste de toutes les possibilits d'accentuation. Par exemple, si on a isol l'unit 
cote, on veut gnrer les formes cote, cot, cte, ct. En fait, rien n'empche qu'on gnre aussi 
les formes ct, ct, etc. En pratique, toutefois, il importe de limiter autant que possible le nombre 
d'hypothses, de faon  rduire le potentiel d'explosions combinatoires. On a donc recours  une 
liste de toutes les formes franaises valides, formes flchies incluses, indexes sur leurs versions 
dsaccentues. En thorie, une telle liste peut contenir plusieurs centaines de milliers de formes 
distinctes. En pratique, on peut couper ce nombre de moiti, en excluant les formes qui ne portent 
pas d'accents et pour lesquelles il n'existe pas de variante accentue valide. On peut raliser des 
conomies supplmentaires en excluant les formes les moins frquentes, mais dans ce cas, il faut 
s'attendre  une baisse de la performance.

Une fois les hypothses gnres, il faut choisir les plus vraisemblables : c'est ce qu'on appelle la 
dsambigusation. Nous utilisons pour ce faire un modle de langue stochastique, appel modle 
de Markov cach (l'implantation que nous utilisons est le package lm de Foster [4]). Dans ce 
modle, un texte est vu comme le rsutat de deux processus stochastiques distincts. Le premier 
processus gnre une suite de symboles qui, dans notre modle, correspondent  des tiquettes 
morpho-syntaxiques (par exemple : NomCommun-masculin-singulier, Verbe-Indicatif-prsent-
3ime-personne-pluriel). Dans un modle markovien d'ordre N, la production d'un symbole dpend 
uniquement des N-1 symboles prcdents. La squence d'tiquettes produite constitue le 
phnomne cach d'o le modle tire son nom. Le deuxime processus gnre alors, pour chaque 
tiquette de la squence, un autre symbole qui, cette fois-ci, correspond  une forme (un mot) du 
langage. Cette deuxime squence est le rsultat observable.

Les paramtres de notre modle sont donc :

	P(ti | hi-1) : La probabilit d'observer une tiquette ti, tant donnes les N-1 tiquettes prc-
dentes (hi-1 dsigne la suite d'tiquettes de longueur N-1 se terminant  la position i-1).

	P(fi | ti) : La probabilit d'observer une forme fi, tant donne l'tiquette sous-jacente ti.

Bien entendu, la valeur exacte de ces paramtres est inconnue, mais en pratique, on peut en faire 
l'estimation  partir de frquences observes dans un corpus d'entranement. Ce corpus consiste 
en un ensemble de phrases,  chaque mot duquel est acolle l'tiquette approprie (en d'autres 
mots : un corpus dans lequel la nature du phnomne cach nous est "rvle"). La taille du corpus 
doit tre suffisante pour assurer une estimation fiable de la valeur de chaque paramtre.  dfaut 
d'un tel corpus tiquett, on peut effectuer l'entranement  partir d''un texte non-tiquett, pour 
ensuite raffiner la valeur des paramtres par restimation. On peut aussi combiner ces deux 
mthodes, c'est--dire obtenir une premire estimation des paramtres  partir d'un petit corpus 
tiquett, pour ensuite en faire la restimation sur la base d'un corpus non-tiquett de plus grande 
taille.

tant donns ces paramtres, on peut valuer la probabilit globale d'une suite de mots 
s = s1s2...sn. Soit T, l'ensemble de toutes les squences d'tiquettes de longueur n possibles :
Bien que le calcul direct de cette quation require un nombre d'oprations exponentiel en n, il 
existe un algorithme qui produit le mme rsultat en temps polynomial (voir [5]).

Notre stratgie de dsambigusation consiste  choisir la suite d'hypothses qui produit la version 
du texte dont la probabilit globale est maximale. En d'autres mots, si on reprsente le texte et ses 
hypothses d'accentuation comme un graphe acyclique dirig (DAG), le problme peut se formuler 
comme la recherche du chemin, allant du dbut  la fin du texte, dont la probabilit est maximale 
(figure 1).



Figure 1: Reprsentation d'un texte et des hypothses d'accentuation sous forme de 
graphe acyclique dirig

Le calcul de ce chemin pose bien entendu des problmes de complexit de calcul, puisque le 
nombre de chemins  explorer crot en gnral de faon exponentielle avec la longueur du texte. 
En pratique, toutefois, il est possible de segmenter le graphe en lots indpendants, c'est--dire en 
sections pour lesquelles le chemin optimal est indpendant du reste du graphe. Typiquement, on 
considre que les phrases sont indpendantes les unes des autres. On peut donc segmenter le 
texte en phrases et calculer le chemin optimal pour chaque phrase. Si le nombre de possibilits  
l'intrieur d'une phrase demeure problmatique, il existe des moyens de resegmenter celle-ci, au 
prix d'une lgre dgradation de la prcision. Dans notre implantation, chaque phrase est 
dcoupe en segments tels que le nombre de chemins  explorer  l'intrieur d'un segment 
n'excde pas un certain seuil (que nous appelons le paramtre S). Les points de coupe sont choisis 
au moyen d'une heuristique simple qui tend  minimiser la dpendance entre les segments : dans 
la mesure du possible, chaque segment doit se terminer par une suite de mots non-ambigus, c'est-
-dire pour lesquels il n'existe  la fois qu'une seule hypothse d'accentuation et une seule analyse 
lexicale. On traite alors successivement les segments de gauche  droite, et on prfixe chaque 
segment avec les derniers mots du chemin optimal du segment prcdent.

Une fois la dsambigusation effectue, il reste  produire un rsultat. Cette opration est en ralit 
trs simple, mais quand mme digne d'intrt. En effet, un de nos principaux soucis est de 
prserver dans la sortie l'apparence du texte d'entre. Il faut donc partir de chaque forme 
apparaissant sur le chemin optimal du graphe, retrouver la forme correspondante dans la chane 
d'entre, et transposer l'accentuation de la nouvelle forme sur la forme originale, sans autrement 
en modifier l'apparence.

3	valuation

Pour valuer la performance d'une mthode de raccentuation, il suffit de choisir un texte ou un 
ensemble de textes franais correctement accentus, de les dsaccentuer automatiquement, de 
soumettre le tout au programme de raccentuation, et de comparer les rsultats obtenus au texte 
original.

Une des proprits de Reacc que nous souhaitions valuer tait sa capacit  fonctionner avec des 
textes de nature varie. Pour ce faire, l'idal aurait t de soumettre  notre programme un corpus 
"balanc", du mme genre que le Brown Corpus. Comme nous ne disposions pas d'une telle 
ressource pour le franais, nous avons d confectionner notre propre corpus,  partir de documents 
qui nous taient disponibles.

Le corpus de test est donc constitu d'extraits de textes franais accentus, provenant de sept 
sources diffrentes, reprsentes  peu prs galement : on y retrouve des textes du domaine 
militaire, des textes juridiques, des publications des Nations Unies, des textes littraires, des 
revues de presse, des manuels informatiques et des extraits du Hansard canadien (journal des 
dbats  la Chambre de Communes). L'ensemble totalise 57 966 mots (ce compte a t produit au 
moyen de l'utilitaire UNIX wc). Certaines modifications ont t apportes au texte, afin de corriger 
les quelques erreurs d'accentuation que nous avons pu dceler au fil des expriences.

Le gnrateur d'hypothses de Reacc utilisait, pour nos tests, une liste de formes extraite du DMF, 
un dictionnaire morpho-syntaxique contenant prs de 380 000 formes distinctes ([1]). En fait, ce 
nombre est probablement excessif. Nous avons d'ailleurs obtenu des rsultats tout--fait 
satisfaisants lors d'expriences prliminaires, avec un dictionnaire ne reconnaissant que 50 000 
formes environ.

Pour le modle de langue, aprs diffrentes expriences, nous avons opt pour une approche qui 
privilgie la qualit des donnes sur leur quantit. Nous avons utilis un modle de Markov cach 
d'ordre 2, bas sur un ensemble d'environ 350 tiquettes morpho-syntaxiques. Les paramtres du 
modle ont d'abord t initialiss  l'aide du DMF, c'est--dire qu'on a restreint d'emble les P(fi | ti) 
en fonction du contenu des valeurs sanctionnes par le dictionnaire. On a ensuite procd  un 
entranement du modle sur un corpus de texte de 60 000 mots, extrait du Hansard canadien, 
tiquet  la main ([2]). On a finalement utilis un corpus de texte beaucoup plus volumineux (plus 
de 3 millions de mots), non-tiquet, afin de restimer les paramtres du modle.

Outre le gnrateur d'hypothses et le modle de langue utiliss, plusieurs paramtres affectent la 
performance de Reacc, tant sur le plan de la qualit des rsultats obtenus que sur celui du temps-
machine. Nanmoins, le facteur le plus important est le paramtre S, qui limite la taille des 
segments sur lesquels Reacc travaille. On retrouve dans la tableau 1 les rsultats obtenus pour 
diffrentes valeurs de S (une augmentation exponentielle de ce facteur se traduit en gnral par 
une augmentation linaire de la longueur des segments traits). Les tests ont t effectus sur une 
machine Sun SPARCstation 10.

    Nombre maximum 
    d'hypothses par 
    segment (S)

    Temps-machine 
    (secondes)

    Nombre total 
    d'erreurs
    (mots)

    Distance moyenne 
    entre les erreurs 
    (mots)

    Tableau 1: Rsultats des raccentuations

Un examen sommaire des rsultats obtenus rvle qu'on a fort  gagner en permettant au systme 
de travailler sur des segments plus longs. Toutefois, passe une certaine limite, la qualit des 
rsultats tend  plafonner, alors que les temps d'excution, eux, grimpent en flche. Tout 
dpendant du genre d'application et des ressources disponibles, il semblerait qu'on puisse compter 
sur des rsultats acceptables ds lors que S est fix  l'entour de 16 ou 32.

Il est intressant d'examiner o Reacc se trompe. On retrouve dans le tableau 2 une classification 
grossire des erreurs de raccentuation que Reacc a commises sur notre corpus de test, lorsque 
S tait fix  16. La catgorie qui arrive en tte regroupe assez libralement les erreurs qui ont pour 
point en commun qu'elles rsultent d'un mauvais choix sur la prsence d'un accent aigu sur le e de 
la syllabe finale (par exemple : aime versus aim). Viennent ensuite les erreurs qui dcoulent de 
"lacunes" du gnrateur d'hypothses, c'est--dire de cas o celui-ci ne connat tout simplement 
pas la forme correctement accentue. Dans la majorit des cas, il s'agit de noms propres (prs de 
la moiti, en fait), mais on rencontre aussi, surtout dans les textes de nature plus technique, 
beaucoup d'abrviations, de mots non-franais et de "nologismes" (par exemple : 
ramnagement, sropositivit). La catgorie qui vient ensuite concerne une unique paire de 
mots : la prposition  et la forme a du verbe avoir.

    Type d'erreur

    Nombre

    Pourcentage

    Ambiguts -e / -

    Formes inconnues

    Ambigut a / 

    Autres

    Total

    Tableau 2: Classification des erreurs d'accentuation
    (S = 16)

4	Conclusions

Nous avons prsent une mthode de raccentuation automatique des textes franais, base sur 
un modle de langue markovien cach. Cette mthode a fait l'objet d'une implantation relle : le 
programme Reacc. Nos expriences ont dmontr que ce programme produisait des textes d'une 
qualit tout--fait acceptable, dans des temps plus que raisonnables : on peut atteindre une 
moyenne d'une erreur d'accentuation aux 130 mots, en traitant plus de 20 000 mots  la minute.

Bien entendu, il y a toujours place  des amliorations. En particulier, il est certain que l'utilisation 
d'un modle de langue plus fin (par exemple, un modle d'ordre 3) ne pourrait qu'amliorer la 
qualit de la dsambigusation. Compte tenu aussi de la forte proportion d'erreurs d'accentuation 
causes par des lacunes au dictionnaire, il serait intressant d'examiner des faons de traiter ces 
"mots inconnus".  cet gard, nous avons dj effectu certaines expriences prliminaires, qui ont 
produit des rsultats particulirement intressant. En particulier, nous nous sommes intresss  
des faons de "deviner" l'accentuation d'un mot inconnu,  partir d'une modlisation stochastique 
de l'accentuation des mots connus. Il reste toutefois beaucoup de travail  faire de ce ct.

Par ailleurs, les mthodes que nous avons exposes ouvrent la porte  d'autres applications du 
mme genre. Par exemple, on peut voir comment les mthodes de raccentuation pourraient tre 
gnralises, afin de traiter d'autres types de pertes d'information. On pense tout particulirement 
aux textes dont tous les caractres accentus ont t remplacs par un caractre unique 
(typiquement, un point d'interrogation), ou aux textes dont le huitime bit de chaque caractre a t 
perdu. Dans de tels textes le  apparat comme un i, le  comme un h, etc. Dans ces cas, au 
problme de l'ambigut lexicale s'ajoute celui du dcoupage, qui devient lui aussi ambigu.

Une autre possibilit intressante est de greffer un programme du genre de Reacc  un logiciel de 
traitement de texte, d'une manire telle que l'utilisateur puisse taper un texte franais sans se 
soucier des accents, qui sont alors insrs automatiquement  mesure que le texte est produit. De 
la raccentuation, on passe ainisi  l'accentuation automatique. Un tel mcanisme pourrait faciliter 
sensiblement la saisie des textes franais. (On sait combien les conventions de saisie des accents 
au clavier sont varies et pas toujours trs ergonomiques.)

Une application beaucoup plus ambitieuse, se basant sur des mthodes similaires, est la rdaction 
assiste par ordinateur. Dans ce cas, plutt que de travailler sur le texte dj tap par l'utilisateur, 
l'ordinateur s'intresse au texte  venir, et essaie de prvoir ce que l'utilisateur va taper, de faon 
 lui viter la saisie de grandes portions de texte. 

Toutes ces applications font prsentement l'objet de travaux de recherche au CITI.

Rfrences

[1]	Bourbeau, Laurent et Franois Pinard, 1987, Dictionnaire Micro-informatis du Franais 
(DMF), Progiciels Bourbeau Pinard Inc., 1501 avenue Ducharme, Montral, H2V 1G2.

[2]	Bourbeau, Laurent, 1994, Fabrication d'un corpus tmoin bilingue tiquet et annot pour la 
mise au point de techniques de parsage automatique probabiliste, Rapport technique 
prsent par Progiciels Bourbeau Pinard, Centre d'innovation en technologies de l'information 
(CITI), Laval.

[3]	El-Bze, Marc, Bernard Mrialdo, Bndicte Rozeron et Anne-Marie Derouault, 1994, 
"Accentuation automatique de textes par des mthodes probabilistes", dans Technique et 
sciences informatiques, Vol 13, no 6, pp. 797 - 815.

[4]	Foster, George F., 1995, Communication personnelle.

[5]	Rabiner, L. R. et B. H. Juang, janvier 1986, "An Introduction to Hidden Markov Models", dans 
IEEE ASSP Magazine.

[6]	Yarowsky, David, 1994, "Decision Lists for Lexical Ambiguity Resolution: Application to Accent 
Restoration in Spanish and French", dans Proceeding of the 32nd Annual Meeting of the 
Association for Computational Linguistics (ACL-94), pp. 88-95.
